Bug 1971499 - Should not show getting started links when add page customization disabled these entries
Summary: Should not show getting started links when add page customization disabled th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Christoph Jerolimov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1971911
TreeView+ depends on / blocked
 
Reported: 2021-06-14 07:45 UTC by Christoph Jerolimov
Modified: 2021-10-18 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:33:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9228 0 None open Bug 1971499: Do not render samples column and helm link when add page customization disabled them 2021-06-14 08:20:35 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:34:23 UTC

Description Christoph Jerolimov 2021-06-14 07:45:47 UTC
Description of problem:
When the cluster admin disabled the samples or helm card on the add page, she/he also expects that the samples column and helm link are not shown in the getting started card.

To disable the samples and helm card, the cluster admin needs to disable 'import-from-samples' and 'helm' on the cluster Console resource.

Version-Release number of selected component (if applicable):
None

How reproducible:
Always

Steps to Reproduce:
1. Open cluster Console resource. Quick link in console: /k8s/cluster/operator.openshift.io~v1~Console/cluster/yaml
2. Add customization:
spec:
  customization:
    addPage:
      disabledActions:
        - import-from-samples
        - helm
3. Reload your browser tab on the add page

Actual results:
The samples card and helm action wasn't shown but the samples and helm links in the getting started card are still available.

Expected results:
The samples card, helm action as well as the samples column and helm link in the getting started card are not shown.

Additional info:
Tested with 4.8 master console (commit 4890229b7a6ef80b99113eb16761b91a8da166a6)

Comment 2 Christoph Jerolimov 2021-06-14 21:47:05 UTC
Discussed this change with Serena and if possible we want backport this to 4.8.

Comment 3 Rohit Rai 2021-06-18 13:06:37 UTC
Verified on 4.9.0-0.nightly-2021-06-18-061022

Comment 7 errata-xmlrpc 2021-10-18 17:33:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.